import { ComponentFixture, TestBed } from '@angular/core/testing';
import { getMockPipe } from '@shared/pipes/pipe.mock';

import { PrintButtonComponent } from './print-button.component';

describe('PrintButtonComponent', () => {
    let component: PrintButtonComponent;
    let fixture: ComponentFixture<PrintButtonComponent>;

    beforeEach(async () => {
        await TestBed.configureTestingModule({
            declarations: [
                PrintButtonComponent,
                getMockPipe('translate'),
                getMockPipe('flightNumber'),
            ],
        }).compileComponents();
    });

    beforeEach(() => {
        fixture = TestBed.createComponent(PrintButtonComponent);
        component = fixture.componentInstance;
        fixture.detectChanges();
    });

    it('should create', () => {
        expect(component).toBeTruthy();
    });
});
